tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Rainer Jung <rainer.j...@kippdata.de>
Subject Re: tomcat connector error
Date Thu, 04 Oct 2007 13:46:47 GMT
The message says, the build system can't find your compiler.

The build of mod_jk runs indirectly via "libtool". it uses the version 
of libtool, that got used to build the web server. For apache 2.0 and 
above, we ask the apxs coming with apache via "apxs -q LIBTOOL", which 
libtool got used to build this apache. We expect your supplier of 
apache, to provide the libtool too.

In your case this apxs query obviously returned 
"/usr/IBMIHS/build/libtool".

Later we call the compiler via this libtool. Inside this libttol, there 
now is the information, that your compiler is "xlc_r", and this is not 
in your search path.

How to fix?

Easiest: find xlc_r and put it into the search path of your shell.

If you don't have xlc_r, and you want to use another compiler named XX 
instead:
- you can't be sure, that the module compiled with XX will fit to an 
httpd build with xlc_r !
- if you want to try nevertheless:
    - copy your "/usr/IBMIHS/build/libtool" to "/my/path/libtool"
    - edit /my/path/libtool and replace all references to xlr_c with XX
    - edit configure coming with mod_jk and adjust the following line:
                 LIBTOOL=`$APXS -q LIBTOOL`
to
                 LIBTOOL=/my/path/libtool
    - try configure and make again

Good luck!

Regards,

Rainer

preet_1 wrote:
> Hi
> 
>   I want to connect Tomcat with IBM HTTP server. But while connecting(making
> the file JK connector binary) i got the following error
> -------------------------------------------------------
> Making all in common
> Target "all" is up to date.
> 
> Making all in apache-2.0
>         /bin/sh /usr/IBMIHS/build/libtool  --mode=compile xlc_r
> -I/usr/IBMIHS/include -g -O2 -DUSE_APACHE_MD5 -I ../common  -I
> /usr/java14/include -I /usr/java14/include/unix -U__STR__ -D_THREAD_SAFE
> -D_USE_IRS -O2 -qmaxmem=8192 -qHALT=E -DHAVE_APR 
> -I/blddir/WWWIHS2047/apache/srclib/apr/include
> -I/blddir/WWWIHS2047/apache/srclib/apr-util/include -g -O2 -qHALT=E
> -U__STR__ -D_THREAD_SAFE -D_USE_IRS -c mod_jk.c -o mod_jk.lo
> rm -f .libs/mod_jk.lo
> xlc_r -I/usr/IBMIHS/include -g -O2 -DUSE_APACHE_MD5 -I ../common -I
> /usr/java14/include -I /usr/java14/include/unix -U__STR__ -D_THREAD_SAFE
> -D_USE_IRS -O2 -qmaxmem=8192 -qHALT=E -DHAVE_APR
> -I/blddir/WWWIHS2047/apache/srclib/apr/include
> -I/blddir/WWWIHS2047/apache/srclib/apr-util/include -g -O2 -qHALT=E
> -U__STR__ -D_THREAD_SAFE -D_USE_IRS -c mod_jk.c  -DPIC -o .libs/mod_jk.lo
> /usr/IBMIHS/build/libtool[847]: xlc_r:  not found
> make: 1254-004 The error code from the last command is 1.
> Stop.
> make: 1254-004 The error code from the last command is 1.
> Stop.
> -----------------------------------------------------------------------------------
> It will be very helpful If anyone can suggest on this error.
> thanx in advance
> 
> preet_1

---------------------------------------------------------------------
To start a new topic, e-mail: users@tomcat.apache.org
To unsubscribe, e-mail: users-unsubscribe@tomcat.apache.org
For additional commands, e-mail: users-help@tomcat.apache.org


Mime
View raw message